<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$log=check($log);

echo '<img src="../images/img/partners.gif" alt=""> <b>Подтверждение регистрации</b><br><br>';

if ($config_regkeys=="1"){
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($udata[46]=="1"){

//---------------------- Форма ввода мастер-кода ------------------------------//
if(!isset($action)){

echo 'Добро пожаловать, <b>'.check($log).'!</b><br>';	
echo 'Для подтверждения регистрации вам необходимо ввести мастер-ключ, который был отправлен вам E-mail при регистрации<br>';


if($config_themes!="wml"){
echo '<form method="post" action="key.php?action=inkey&amp;'.SID.'"><br>';
echo 'Мастер-код:<br>';
echo '<input name="key" maxlength="20" /><br><br>';
echo '<input value="Подтвердить" type="submit" /></form><hr>';

}else{
	
echo '<br>Мастер-код:<br><input name="key" maxlength="20"/><br>';
echo '<anchor>Подтвердить';
echo '<go href="key.php?action=inkey&amp;'.SID.'" method="post">';
echo '<postfield name="key" value="$(key)"/>';
echo '</go></anchor><br>--------------------<br>';
}

echo 'Пока вы не подтвердите регистрацию вы не сможете войти на сайт<br>';
echo 'Ваш профиль будет ждать активации в течении 24 часов, после чего автоматически удален<br>';
}


//---------------------- Проверка мастер-кода ------------------------------//
if($action=="inkey"){

if(isset($_GET['key'])){$key = check(trim($_GET['key']));} else {$key = check(trim($_POST['key']));}

if($key!=""){	
if($key==$udata[47]){
	
//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[46] = "0";
$udata[47] = "";

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","w");  
flock($fp,LOCK_EX);                                                     
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}


echo 'Мастер-код подтвержден, теперь вы можете войти на сайт!<br><br>';
echo '<b><img src="../images/img/reload.gif" alt=""> <a href="../index.php?'.SID.'">Вход на сайт!</a></b><br>';

}else{echo 'Мастер-код не совпадает с данными, проверьте правильность ввода!<br>';}
}else{echo 'Вы не ввели мастер-код, пожалуйста повторите!<br>';}

echo '<br><img src="../images/img/back.gif" alt=""> <a href="key.php?'.SID.'">Вернуться</a>';
}

} else { echo '<b>Ошибка, вашему профилю не требуется подтверждение регистрации</b><br>'; }
} else { echo '<b>Ошибка, для ввода мастер-ключа сперва необходимо <a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b><br>'; }
} else { echo '<b>Ошибка, подтверждение регистрации выключено на сайте</b><br>'; }

echo '<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>